# VRButton - Cesium Documentation

# VRButton

#### new Cesium.VRButton(container, scene, vrElement)
Widgets/VRButton/VRButton.js 35

  A single button widget for toggling vr mode.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `container` | Element | String |  | The DOM element or ID that will contain the widget.
  `scene` | Scene |  | The scene.
  `vrElement` | Element | String | `document.body` | optional The element or id to be placed into vr mode.

  ##### Throws:

  - DeveloperError : Element with id "container" does not exist in the document.

### Members

#### container : Element
Widgets/VRButton/VRButton.js 77

  Gets the parent container.

#### viewModel : VRButtonViewModel
Widgets/VRButton/VRButton.js 89

  Gets the view model.

### Methods

#### destroy()
Widgets/VRButton/VRButton.js 107

  Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/VRButton/VRButton.js 99

  ##### Returns:

  true if the object has been destroyed, false otherwise.